export default {
  state: {
    // 当前状态:用于判断时匹配中还是已经匹配完成: matching 表示匹配中(匹配界面), playing 表示匹配完成(对战界面)
    status: "matching",
    // socket 信息
    socket: null,
    // 对手信息
    opponent_username: "",
    opponent_photo: "",
    game_map: null,
    rows: 0,
    cols: 0,
    inner_walls_count: 0,
  },
  getters: {},
  mutations: {
    // 更新 socket 信息
    updateSocket(state, socket) {
      state.socket = socket;
    },
    // 更新对手信息
    updateOpponent(state, opponent) {
      state.opponent_username = opponent.username;
      state.opponent_photo = opponent.photo;
    },
    // 更新匹配状态信息
    updateStatus(state, status) {
      state.status = status;
    },
    // 更新地图
    updateGameMap(state, game_data) {
      state.game_map = game_data.game_map;
      state.rows = game_data.rows;
      state.cols = game_data.cols;
      state.inner_walls_count = game_data.inner_walls_count;
    },
  },
  actions: {},
  module: {},
};
